package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 波次分组表
 * @Date 2021-03-25
 */
@ApiModel
@Table(value = "wms_wave_bill_group", appendDefaultJdbcType = true, camelToUnderline = true)
public class WaveBillGroupDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 8259496078252372135L;
    @Id
    @ApiModelProperty(value = "ID")
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "波次ID")
    @Column(value = "wave_id")
    private String waveId;

    @ApiModelProperty(value = "状态(新建new/部分/全部下发)")
    @Column(value = "status")
    private String status;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
